#
# Conditional build:
%bcond_without	fsck	# don't build fsck.jfs (as it requires pthread)
#
Summary:	IBM JFS utility programs
Summary(pl.UTF-8):	Programy użytkowe dla IBM JFS
Name:		jfsutils
Version:	1.1.15
Release:	2
License:	GPL v2+
Group:		Applications/System
Source0:	http://jfs.sourceforge.net/project/pub/%{name}-%{version}.tar.gz
# Source0-md5:	8809465cd48a202895bc2a12e1923b5d
Patch0:		%{name}-am.patch
Patch1:		%{name}-format-security.patch
Patch2:		%{name}-includes.patch
URL:		http://jfs.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libuuid-devel
Obsoletes:	jfsprogs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Utilities to manage JFS filesystems.

%description -l pl.UTF-8
Programy do zarządzania systemem plików JFS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{!?with_fsck:cp Makefile.am Makefile.am.tmp}
%{!?with_fsck:sed -e 's/ fsck / /' Makefile.am.tmp > Makefile.am}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/fsck.jfs
%attr(755,root,root) %{_sbindir}/jfs_*
%attr(755,root,root) %{_sbindir}/mkfs.jfs
%{_mandir}/man8/fsck.jfs.8*
%{_mandir}/man8/jfs_*.8*
%{_mandir}/man8/mkfs.jfs.8*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jfsutils.git;a=log;h=master

* Sat Jun 29 2013 Marcin Krol <hawk@tld-linux.org> 865e994
- release 2 (by relup.sh)

* Sat Feb 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 6c6c732
- Fix build with -Werror=format-security and add missing include

* Sat Feb 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 5481066
- Fix build with automake 1.13

* Thu Nov 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 4e17c58
- more verbose sbin and man files list

* Thu Nov 24 2011 Kacper Kornet <draenog@pld-linux.org> bf9fb5f
- up to 1.1.15

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 00fd372
- drop obsolete files

* Mon May 04 2009 amateja <amateja@pld-linux.org> 6d3ae31
- updated to 1.1.14

* Thu Jul 17 2008 areq <areq@pld-linux.org> ef0cf64
- 1.1.13

* Tue May 06 2008 Karol Krenski <charles@pld-linux.org> c2c5fad
- autoconf 2.61 made fseeko fail to compile correctly
  for large offsets when built against glibc-2.3.

* Mon Sep 03 2007 Jakub Bogusz <qboosh@pld-linux.org> b368eff
- updated to 1.1.12

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2a9f239
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 43c15d6
- converted to UTF-8

* Thu Jun 22 2006 Jakub Bogusz <qboosh@pld-linux.org> af9e1ce
- updated to 1.1.11

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> c528ca1
- orphaned, outdated

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 8e2c416
- updated to 1.1.10 (fixes fsck not recognizing rootfs as jfs)

* Thu Oct 13 2005 Jakub Bogusz <qboosh@pld-linux.org> d42fcfd
- updated to 1.1.9

* Sun Jul 10 2005 darekr <darekr@pld-linux.org> 3010937
- added %doc

* Thu Jun 16 2005 hawk <hawk@pld-linux.org> 7e623f8
- release 3 for Ac

* Tue May 03 2005 Paweł Sikora <pluto@pld-linux.org> 0662255
- release 2 for Th.

* Tue May 03 2005 Paweł Sikora <pluto@pld-linux.org> fbd8d01
- updated to 1.1.8, URL updated.
- release 1 for Ac.

